Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--plugins/core/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF6
-rw-r--r--plugins/core/org.eclipse.papyrus.readonly/META-INF/MANIFEST.MF7
-rw-r--r--plugins/editor/org.eclipse.papyrus.editor/META-INF/MANIFEST.MF5
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/META-INF/MANIFEST.MF4
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/META-INF/MANIFEST.MF5
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core/META-INF/MANIFEST.MF6
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/META-INF/MANIFEST.MF4
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/META-INF/MANIFEST.MF7
-rw-r--r--plugins/infra/org.eclipse.papyrus.infra.onefile/META-INF/MANIFEST.MF4
-rw-r--r--plugins/infra/org.eclipse.papyrus.infra.ui.resources/META-INF/MANIFEST.MF5
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode.history/META-INF/MANIFEST.MF3
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode/META-INF/MANIFEST.MF4
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/META-INF/MANIFEST.MF3
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/META-INF/MANIFEST.MF5
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/META-INF/MANIFEST.MF7
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.common/src/org/eclipse/papyrus/infra/table/common/modelresource/EMFFacetNattableModel.java27
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.common/src/org/eclipse/papyrus/infra/table/common/modelresource/PapyrusNattableModel.java39
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.menu/META-INF/MANIFEST.MF3
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/META-INF/MANIFEST.MF6
-rw-r--r--plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/META-INF/MANIFEST.MF4
-rw-r--r--plugins/others/org.eclipse.papyrus.navigator/META-INF/MANIFEST.MF6
-rw-r--r--plugins/others/org.eclipse.papyrus.outline.emftree/META-INF/MANIFEST.MF4
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.blockdefinition/META-INF/MANIFEST.MF7
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.common/META-INF/MANIFEST.MF5
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.internalblock/META-INF/MANIFEST.MF4
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.requirement/META-INF/MANIFEST.MF3
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.ui/META-INF/MANIFEST.MF3
-rw-r--r--plugins/sysml/modelexplorer/org.eclipse.papyrus.sysml.modelexplorer/META-INF/MANIFEST.MF3
-rw-r--r--plugins/sysml/org.eclipse.papyrus.sysml.facets/META-INF/MANIFEST.MF4
-rw-r--r--plugins/sysml/org.eclipse.papyrus.sysml.service.types/META-INF/MANIFEST.MF3
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/META-INF/MANIFEST.MF3
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/META-INF/MANIFEST.MF5
-rw-r--r--plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.commands/META-INF/MANIFEST.MF5
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.compare/META-INF/MANIFEST.MF3
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.import/META-INF/MANIFEST.MF3
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF3
-rw-r--r--plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbedproperties.comments/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/properties/org.eclipse.papyrus.uml.properties/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/table/org.eclipse.papyrus.uml.table.default/META-INF/MANIFEST.MF3
-rw-r--r--plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/META-INF/MANIFEST.MF3
-rw-r--r--plugins/views/documentation/org.eclipse.papyrus.views.documentation.view.papyrus/META-INF/MANIFEST.MF3
-rw-r--r--plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.resourceloading/META-INF/MANIFEST.MF3
-rw-r--r--plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.widgets/META-INF/MANIFEST.MF6
-rw-r--r--plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer/META-INF/MANIFEST.MF8
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.views.properties.runtime/META-INF/MANIFEST.MF3
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.core/META-INF/MANIFEST.MF3
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.customization/META-INF/MANIFEST.MF3
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.views.properties.tabbedproperties.core/META-INF/MANIFEST.MF3
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.views.properties/META-INF/MANIFEST.MF3
-rw-r--r--tests/junit/plugins/uml/org.eclipse.papyrus.diagram.clazz.test/META-INF/MANIFEST.MF3
-rw-r--r--tests/junit/plugins/uml/org.eclipse.papyrus.thousandcreation/META-INF/MANIFEST.MF3
56 files changed, 209 insertions, 90 deletions
diff --git a/plugins/core/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF b/plugins/core/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF
index 79b88d4fb85..0e25b005139 100644
--- a/plugins/core/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF
+++ b/plugins/core/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF
@@ -2,7 +2,11 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui.editors;bundle-version="3.4.0",
org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.emf.edit.ui;bundle-version="2.4.0",
- org.antlr.runtime;bundle-version="3.0.0"
+ org.antlr.runtime;bundle-version="3.0.0",
+ org.eclipse.core.runtime;bundle-version="3.8.0",
+ org.eclipse.jface.text;bundle-version="3.8.0",
+ org.eclipse.draw2d;bundle-version="3.7.1",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.extensionpoints.editors,
org.eclipse.papyrus.extensionpoints.editors.configuration,
org.eclipse.papyrus.extensionpoints.editors.definition,
diff --git a/plugins/core/org.eclipse.papyrus.readonly/META-INF/MANIFEST.MF b/plugins/core/org.eclipse.papyrus.readonly/META-INF/MANIFEST.MF
index 63639e77945..a534867195e 100644
--- a/plugins/core/org.eclipse.papyrus.readonly/META-INF/MANIFEST.MF
+++ b/plugins/core/org.eclipse.papyrus.readonly/META-INF/MANIFEST.MF
@@ -1,7 +1,12 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.papyrus.infra.onefile;bundle-version="0.9.0",
- org.eclipse.core.expressions;bundle-version="3.4.300"
+ org.eclipse.core.expressions;bundle-version="3.4.300",
+ org.eclipse.core.resources;bundle-version="3.8.0",
+ org.eclipse.core.runtime;bundle-version="3.8.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0",
+ org.eclipse.emf.workspace;bundle-version="1.5.1",
+ org.eclipse.gmf.runtime.common.core;bundle-version="1.4.1"
Export-Package: org.eclipse.papyrus.readonly,
org.eclipse.papyrus.readonly.handlers
Bundle-Vendor: %providerName
diff --git a/plugins/editor/org.eclipse.papyrus.editor/META-INF/MANIFEST.MF b/plugins/editor/org.eclipse.papyrus.editor/META-INF/MANIFEST.MF
index 11a161442e1..304b8759610 100644
--- a/plugins/editor/org.eclipse.papyrus.editor/META-INF/MANIFEST.MF
+++ b/plugins/editor/org.eclipse.papyrus.editor/META-INF/MANIFEST.MF
@@ -1,5 +1,8 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
+Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.editor
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/META-INF/MANIFEST.MF b/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/META-INF/MANIFEST.MF
index 8563734c045..6a0b05e2b27 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/META-INF/MANIFEST.MF
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/META-INF/MANIFEST.MF
@@ -1,5 +1,7 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
+Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0"
Export-Package: org.eclipse.papyrus.infra.core.adaptor.emf
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/META-INF/MANIFEST.MF b/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/META-INF/MANIFEST.MF
index e24a81c4974..72710102740 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/META-INF/MANIFEST.MF
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/META-INF/MANIFEST.MF
@@ -8,7 +8,10 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.emf.edit.ui;bundle-version="2.5.0",
org.eclipse.emf.ecore.edit;bundle-version="2.5.0",
org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
- org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.2.0"
+ org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.2.0",
+ org.eclipse.gef;bundle-version="3.7.1",
+ org.eclipse.emf.workspace;bundle-version="1.4.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core/META-INF/MANIFEST.MF b/plugins/infra/core/org.eclipse.papyrus.infra.core/META-INF/MANIFEST.MF
index b0545c6f2b8..c61e26a2659 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core/META-INF/MANIFEST.MF
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core/META-INF/MANIFEST.MF
@@ -4,9 +4,9 @@ Require-Bundle: org.eclipse.papyrus.infra.core.sasheditor;bundle-version="0.9.0"
org.eclipse.ui.ide;bundle-version="3.4.0";visibility:=reexport,
org.eclipse.emf.edit.ui;bundle-version="2.6.0";visibility:=reexport,
org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.9.0";visibility:=reexport,
- org.eclipse.core.runtime;bundle-version="3.8.0",
- org.eclipse.gmf.runtime.common.core;bundle-version="1.4.1",
- org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
+ org.eclipse.core.runtime,
+ org.eclipse.gmf.runtime.common.core,
+ org.eclipse.gmf.runtime.diagram.ui
Export-Package: org.eclipse.papyrus.infra.core,
org.eclipse.papyrus.infra.core.contentoutline,
org.eclipse.papyrus.infra.core.editor,
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/META-INF/MANIFEST.MF
index d64e2062c50..746bc4637a5 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/META-INF/MANIFEST.MF
@@ -11,7 +11,9 @@ Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0";visibility
org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0",
org.eclipse.ui.navigator;bundle-version="3.5.100",
org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
- org.eclipse.papyrus.editor.perspectiveconfiguration;bundle-version="0.9.0"
+ org.eclipse.papyrus.editor.perspectiveconfiguration;bundle-version="0.9.0",
+ org.eclipse.core.runtime;bundle-version="3.8.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/META-INF/MANIFEST.MF
index 120cfc533cd..10c9abc3583 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/META-INF/MANIFEST.MF
@@ -1,7 +1,12 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.uml2.uml.editor;bundle-version="2.2.0",
- org.eclipse.gmf.runtime.diagram.ui.render;bundle-version="1.2.0"
+ org.eclipse.gmf.runtime.diagram.ui.render;bundle-version="1.2.0",
+ org.eclipse.core.runtime;bundle-version="3.8.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0",
+ org.eclipse.gef;bundle-version="3.7.1",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.infra.gmfdiag.outline,
org.eclipse.papyrus.infra.gmfdiag.outline.internal;x-internal:=true,
org.eclipse.papyrus.infra.gmfdiag.outline.overview
diff --git a/plugins/infra/org.eclipse.papyrus.infra.onefile/META-INF/MANIFEST.MF b/plugins/infra/org.eclipse.papyrus.infra.onefile/META-INF/MANIFEST.MF
index 1485427a07c..7a74bee2672 100644
--- a/plugins/infra/org.eclipse.papyrus.infra.onefile/META-INF/MANIFEST.MF
+++ b/plugins/infra/org.eclipse.papyrus.infra.onefile/META-INF/MANIFEST.MF
@@ -3,7 +3,9 @@ Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.ui.navigator,
org.eclipse.team.ui,
org.eclipse.ui.navigator.resources,
- org.eclipse.papyrus.infra.ui.resources;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.ui.resources;bundle-version="0.9.0",
+ org.eclipse.core.resources;bundle-version="3.8.0",
+ org.eclipse.core.runtime;bundle-version="3.8.0"
Export-Package: org.eclipse.papyrus.infra.onefile.model,
org.eclipse.papyrus.infra.onefile.utils
Bundle-Vendor: %providerName
diff --git a/plugins/infra/org.eclipse.papyrus.infra.ui.resources/META-INF/MANIFEST.MF b/plugins/infra/org.eclipse.papyrus.infra.ui.resources/META-INF/MANIFEST.MF
index 4d586056d56..9820a7f3549 100644
--- a/plugins/infra/org.eclipse.papyrus.infra.ui.resources/META-INF/MANIFEST.MF
+++ b/plugins/infra/org.eclipse.papyrus.infra.ui.resources/META-INF/MANIFEST.MF
@@ -4,7 +4,10 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.core;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.ltk.core.refactoring;bundle-version="3.5.200",
org.eclipse.papyrus.infra.services.controlmode;bundle-version="0.9.0",
- org.eclipse.papyrus.infra.services.controlmode.history;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.controlmode.history;bundle-version="0.9.0",
+ org.eclipse.core.resources;bundle-version="3.8.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode.history/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode.history/META-INF/MANIFEST.MF
index 2c0b7c79866..38bde100ef6 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode.history/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode.history/META-INF/MANIFEST.MF
@@ -6,7 +6,8 @@ Export-Package: org.eclipse.papyrus.infra.services.controlmode.history,
org.eclipse.papyrus.infra.services.controlmode.mm.history.util
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
- org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.core.resources;bundle-version="3.8.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode/META-INF/MANIFEST.MF
index 636c2dce1d2..f11846afe4f 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode/META-INF/MANIFEST.MF
@@ -9,7 +9,9 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.services.controlmode.history;bundle-version="0.9.0",
org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
org.eclipse.papyrus.infra.services.resourceloading;bundle-version="0.9.0",
- org.eclipse.papyrus.infra.services.resourceloading.preferences;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.resourceloading.preferences;bundle-version="0.9.0",
+ org.eclipse.core.resources;bundle-version="3.8.0",
+ org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.4.0"
Export-Package: org.eclipse.papyrus.infra.services.controlmode,
org.eclipse.papyrus.infra.services.controlmode.action,
org.eclipse.papyrus.infra.services.controlmode.commands,
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/META-INF/MANIFEST.MF
index c89d6cbdba8..64fa3134aac 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/META-INF/MANIFEST.MF
@@ -7,7 +7,8 @@ Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/META-INF/MANIFEST.MF
index b9cfe2fc94b..5ddf75d8f4e 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/META-INF/MANIFEST.MF
@@ -1,7 +1,10 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.core.resources;bundle-version="3.8.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0",
+ org.eclipse.gmf.runtime.common.ui;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.infra.services.markerlistener
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/META-INF/MANIFEST.MF
index eb530391b13..cfd64ce5e09 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/META-INF/MANIFEST.MF
@@ -2,7 +2,12 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.papyrus.infra.services.controlmode.history;bundle-version="0.9.0",
org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
- org.eclipse.core.expressions
+ org.eclipse.core.expressions,
+ org.eclipse.core.resources;bundle-version="3.8.0",
+ org.eclipse.core.runtime;bundle-version="3.8.0",
+ org.eclipse.gef;bundle-version="3.7.1",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.infra.services.resourceloading,
org.eclipse.papyrus.infra.services.resourceloading.impl,
org.eclipse.papyrus.infra.services.resourceloading.strategies,
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.common/src/org/eclipse/papyrus/infra/table/common/modelresource/EMFFacetNattableModel.java b/plugins/infra/table/org.eclipse.papyrus.infra.table.common/src/org/eclipse/papyrus/infra/table/common/modelresource/EMFFacetNattableModel.java
index 566b81730f0..6a82848ef67 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.common/src/org/eclipse/papyrus/infra/table/common/modelresource/EMFFacetNattableModel.java
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.common/src/org/eclipse/papyrus/infra/table/common/modelresource/EMFFacetNattableModel.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2011 LIFL & CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -16,7 +16,6 @@ package org.eclipse.papyrus.infra.table.common.modelresource;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.facet.widgets.nattable.instance.tableinstance.TableInstance;
-import org.eclipse.gmf.runtime.notation.Diagram;
import org.eclipse.papyrus.infra.core.resource.AbstractModelWithSharedResource;
import org.eclipse.papyrus.infra.core.resource.IModel;
import org.eclipse.papyrus.infra.core.resource.ModelSet;
@@ -25,9 +24,9 @@ import org.eclipse.papyrus.infra.core.resource.ModelSet;
/**
* A model used to save data from the {@link DefaultNattableEditor}
- *
+ *
* @author cedric dumoulin
- *
+ *
*/
public class EMFFacetNattableModel extends /* AbstractBaseModel */AbstractModelWithSharedResource<TableInstance> implements IModel {
@@ -51,9 +50,9 @@ public class EMFFacetNattableModel extends /* AbstractBaseModel */AbstractModelW
/**
- *
+ *
* Constructor.
- *
+ *
*/
public EMFFacetNattableModel() {
@@ -68,9 +67,9 @@ public class EMFFacetNattableModel extends /* AbstractBaseModel */AbstractModelW
/**
* Get the file extension used for this model.
- *
+ *
* @see org.eclipse.papyrus.infra.core.resource.AbstractBaseModel#getModelFileExtension()
- *
+ *
* @return
*/
@Override
@@ -80,9 +79,9 @@ public class EMFFacetNattableModel extends /* AbstractBaseModel */AbstractModelW
/**
* Get the identifier used to register this model.
- *
+ *
* @see org.eclipse.papyrus.infra.core.resource.AbstractBaseModel#getIdentifier()
- *
+ *
* @return
*/
@Override
@@ -93,7 +92,7 @@ public class EMFFacetNattableModel extends /* AbstractBaseModel */AbstractModelW
/**
* Add a new initialized {@link Diagram} to the model.
- *
+ *
* @param newDiagram
* The diagram to add.
*/
@@ -103,7 +102,7 @@ public class EMFFacetNattableModel extends /* AbstractBaseModel */AbstractModelW
/**
* Add a new initialized {@link Diagram} to the model.
- *
+ *
* @param newDiagram
* The diagram to add.
*/
@@ -112,9 +111,9 @@ public class EMFFacetNattableModel extends /* AbstractBaseModel */AbstractModelW
}
/**
- *
+ *
* @see org.eclipse.papyrus.infra.core.resource.AbstractModelWithSharedResource#isModelRoot(org.eclipse.emf.ecore.EObject)
- *
+ *
* @param object
* @return
*/
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.common/src/org/eclipse/papyrus/infra/table/common/modelresource/PapyrusNattableModel.java b/plugins/infra/table/org.eclipse.papyrus.infra.table.common/src/org/eclipse/papyrus/infra/table/common/modelresource/PapyrusNattableModel.java
index c31d7de1ee6..28c9f631966 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.common/src/org/eclipse/papyrus/infra/table/common/modelresource/PapyrusNattableModel.java
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.common/src/org/eclipse/papyrus/infra/table/common/modelresource/PapyrusNattableModel.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2011 LIFL & CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -16,7 +16,6 @@ package org.eclipse.papyrus.infra.table.common.modelresource;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.facet.widgets.nattable.instance.tableinstance.TableInstance;
-import org.eclipse.gmf.runtime.notation.Diagram;
import org.eclipse.papyrus.infra.core.resource.AbstractModelWithSharedResource;
import org.eclipse.papyrus.infra.core.resource.IModel;
import org.eclipse.papyrus.infra.core.resource.ModelSet;
@@ -26,9 +25,9 @@ import org.eclipse.papyrus.infra.table.instance.papyrustableinstance.PapyrusTabl
/**
* A model used to save data from the {@link DefaultNattableEditor}
- *
+ *
* @author cedric dumoulin
- *
+ *
*/
public class PapyrusNattableModel extends AbstractModelWithSharedResource<TableInstance> implements IModel {
@@ -52,9 +51,9 @@ public class PapyrusNattableModel extends AbstractModelWithSharedResource<TableI
/**
- *
+ *
* Constructor.
- *
+ *
*/
public PapyrusNattableModel() {
@@ -69,9 +68,9 @@ public class PapyrusNattableModel extends AbstractModelWithSharedResource<TableI
/**
* Get the file extension used for this model.
- *
+ *
* @see org.eclipse.papyrus.infra.core.resource.AbstractBaseModel#getModelFileExtension()
- *
+ *
* @return
*/
@Override
@@ -81,9 +80,9 @@ public class PapyrusNattableModel extends AbstractModelWithSharedResource<TableI
/**
* Get the identifier used to register this model.
- *
+ *
* @see org.eclipse.papyrus.infra.core.resource.AbstractBaseModel#getIdentifier()
- *
+ *
* @return
*/
@Override
@@ -93,29 +92,29 @@ public class PapyrusNattableModel extends AbstractModelWithSharedResource<TableI
/**
- * Add a new initialized {@link Diagram} to the model.
- *
- * @param newDiagram
- * The diagram to add.
+ * Add a new initialized {@link PapyrusTableInstance} to the model.
+ *
+ * @param tableInstance
+ * The tableInstance to add.
*/
public void addPapyrusTableInstance(PapyrusTableInstance tableInstance) {
getResource().getContents().add(tableInstance);
}
/**
- * Add a new initialized {@link Diagram} to the model.
- *
- * @param newDiagram
- * The diagram to add.
+ * Add a new initialized {@link PapyrusTableInstance} to the model.
+ *
+ * @param tableInstance
+ * The tableInstance to add.
*/
public void removeTableInstance(PapyrusTableInstance tableInstance) {
getResource().getContents().remove(tableInstance);
}
/**
- *
+ *
* @see org.eclipse.papyrus.infra.core.resource.AbstractModelWithSharedResource#isModelRoot(org.eclipse.emf.ecore.EObject)
- *
+ *
* @param object
* @return
*/
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.menu/META-INF/MANIFEST.MF b/plugins/infra/table/org.eclipse.papyrus.infra.table.menu/META-INF/MANIFEST.MF
index d042fe18c88..d66e14d730e 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.menu/META-INF/MANIFEST.MF
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.menu/META-INF/MANIFEST.MF
@@ -7,7 +7,8 @@ Require-Bundle: org.eclipse.core.expressions,
org.eclipse.papyrus.infra.table.common;bundle-version="0.9.0",
org.eclipse.emf.facet.widgets.nattable,
org.eclipse.emf.facet.widgets.nattable.instance;bundle-version="0.1.0",
- org.eclipse.emf.facet.widgets.nattable.workbench;bundle-version="0.1.0"
+ org.eclipse.emf.facet.widgets.nattable.workbench;bundle-version="0.1.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.infra.table.menu,
org.eclipse.papyrus.infra.table.menu.handler,
org.eclipse.papyrus.infra.table.menu.providers
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/META-INF/MANIFEST.MF b/plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/META-INF/MANIFEST.MF
index 5850558d588..f5ab9062915 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/META-INF/MANIFEST.MF
@@ -7,7 +7,11 @@ Require-Bundle: org.eclipse.papyrus.resource;bundle-version="0.9.0",
org.eclipse.emf.facet.widgets.nattable.instance;bundle-version="0.1.0",
org.eclipse.papyrus.infra.table.instance;bundle-version="0.9.0",
org.eclipse.uml2.uml,
- org.eclipse.emf.facet.infra.query.core
+ org.eclipse.emf.facet.infra.query.core,
+ org.eclipse.core.runtime;bundle-version="3.8.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0",
+ org.eclipse.gmf.runtime.common.core;bundle-version="1.4.1",
+ org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.4.0"
Export-Package: org.eclipse.papyrus.infra.table.modelexplorer,
org.eclipse.papyrus.infra.table.modelexplorer.handlers,
org.eclipse.papyrus.infra.table.modelexplorer.messages,
diff --git a/plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/META-INF/MANIFEST.MF b/plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/META-INF/MANIFEST.MF
index fc8f0c4ad91..feb1d2ac605 100644
--- a/plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/META-INF/MANIFEST.MF
+++ b/plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/META-INF/MANIFEST.MF
@@ -1,7 +1,9 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.core.runtime,
- org.eclipse.ui
+ org.eclipse.ui,
+ org.eclipse.gef;bundle-version="3.7.1",
+ org.eclipse.ui.forms;bundle-version="3.5.200"
Export-Package: org.eclipse.papyrus.infra.widgets.toolbox,
org.eclipse.papyrus.infra.widgets.toolbox.dialog,
org.eclipse.papyrus.infra.widgets.toolbox.draw2d,
diff --git a/plugins/others/org.eclipse.papyrus.navigator/META-INF/MANIFEST.MF b/plugins/others/org.eclipse.papyrus.navigator/META-INF/MANIFEST.MF
index ca0030cea0e..546bd9bf6b3 100644
--- a/plugins/others/org.eclipse.papyrus.navigator/META-INF/MANIFEST.MF
+++ b/plugins/others/org.eclipse.papyrus.navigator/META-INF/MANIFEST.MF
@@ -6,7 +6,11 @@ Require-Bundle: org.eclipse.ui.navigator;bundle-version="3.3.101",
org.eclipse.papyrus.infra.core.sasheditor.di;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.ltk.core.refactoring;bundle-version="3.5.0",
org.eclipse.emf.converter;bundle-version="2.5.0",
- org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
+ org.eclipse.gef;bundle-version="3.7.1",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.navigator,
org.eclipse.papyrus.navigator.actions,
org.eclipse.papyrus.navigator.dialog,
diff --git a/plugins/others/org.eclipse.papyrus.outline.emftree/META-INF/MANIFEST.MF b/plugins/others/org.eclipse.papyrus.outline.emftree/META-INF/MANIFEST.MF
index f460c1d47dc..a532a086957 100644
--- a/plugins/others/org.eclipse.papyrus.outline.emftree/META-INF/MANIFEST.MF
+++ b/plugins/others/org.eclipse.papyrus.outline.emftree/META-INF/MANIFEST.MF
@@ -1,7 +1,9 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.emf.ecore.editor;bundle-version="2.5.0",
- org.eclipse.uml2.uml.edit;bundle-version="3.0.0"
+ org.eclipse.uml2.uml.edit;bundle-version="3.0.0",
+ org.eclipse.core.runtime;bundle-version="3.8.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0"
Export-Package: org.eclipse.papyrus.outline.emftree,
org.eclipse.papyrus.outline.emftree.internal;x-internal:=true
Bundle-Vendor: %providerName
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.blockdefinition/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.blockdefinition/META-INF/MANIFEST.MF
index 887fc49ce23..2fc25f0b79f 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.blockdefinition/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.blockdefinition/META-INF/MANIFEST.MF
@@ -15,7 +15,12 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
org.eclipse.papyrus.sysml.service.types;bundle-version="0.9.0",
- org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
+ org.eclipse.gmf.runtime.diagram.core;bundle-version="1.4.1",
+ org.eclipse.draw2d;bundle-version="3.7.1",
+ org.eclipse.gef;bundle-version="3.7.1",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.common/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.common/META-INF/MANIFEST.MF
index 0d8cc48a19b..855c3587ed0 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.common/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.common/META-INF/MANIFEST.MF
@@ -17,7 +17,10 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.sysml.service.types;bundle-version="0.9.0",
org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0",
- org.eclipse.papyrus.uml.modelexplorer.widgets;bundle-version="0.9.0"
+ org.eclipse.papyrus.uml.modelexplorer.widgets;bundle-version="0.9.0",
+ org.eclipse.draw2d;bundle-version="3.7.1",
+ org.eclipse.gmf.runtime.diagram.core;bundle-version="1.4.1",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.gmf.diagram.common.commands,
org.eclipse.papyrus.gmf.diagram.common.compatibility,
org.eclipse.papyrus.gmf.diagram.common.edit.part,
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.internalblock/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.internalblock/META-INF/MANIFEST.MF
index 3705a35552d..0353594231c 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.internalblock/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.internalblock/META-INF/MANIFEST.MF
@@ -13,7 +13,9 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.9.0",
org.eclipse.papyrus.sysml.service.types;bundle-version="0.9.0",
org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
- org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.core;bundle-version="1.4.1",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.requirement/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.requirement/META-INF/MANIFEST.MF
index a39f466a1e0..9bd65e1851f 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.requirement/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.requirement/META-INF/MANIFEST.MF
@@ -7,7 +7,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.4.0",
org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
- org.eclipse.papyrus.sysml;bundle-version="0.9.0"
+ org.eclipse.papyrus.sysml;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.ui/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.ui/META-INF/MANIFEST.MF
index a3f698a9504..747477d4d86 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.ui/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,8 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.papyrus.uml.diagram.wizards;bundle-version="0.9.0",
org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
- org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.9.0"
+ org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.core.resources;bundle-version="3.8.0"
Export-Package: org.eclipse.papyrus.sysml.diagram.ui
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
diff --git a/plugins/sysml/modelexplorer/org.eclipse.papyrus.sysml.modelexplorer/META-INF/MANIFEST.MF b/plugins/sysml/modelexplorer/org.eclipse.papyrus.sysml.modelexplorer/META-INF/MANIFEST.MF
index d74639deffd..c87be91a543 100644
--- a/plugins/sysml/modelexplorer/org.eclipse.papyrus.sysml.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/sysml/modelexplorer/org.eclipse.papyrus.sysml.modelexplorer/META-INF/MANIFEST.MF
@@ -12,7 +12,8 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0",
org.eclipse.ui.navigator;bundle-version="3.5.0",
org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.9.0",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0"
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
+ org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.200"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .,
diff --git a/plugins/sysml/org.eclipse.papyrus.sysml.facets/META-INF/MANIFEST.MF b/plugins/sysml/org.eclipse.papyrus.sysml.facets/META-INF/MANIFEST.MF
index 7b099f900f1..cf576e35672 100644
--- a/plugins/sysml/org.eclipse.papyrus.sysml.facets/META-INF/MANIFEST.MF
+++ b/plugins/sysml/org.eclipse.papyrus.sysml.facets/META-INF/MANIFEST.MF
@@ -13,7 +13,9 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.papyrus.uml.standard;bundle-version="0.9.0",
org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.9.0",
- org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.common.core;bundle-version="1.4.1",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .,
diff --git a/plugins/sysml/org.eclipse.papyrus.sysml.service.types/META-INF/MANIFEST.MF b/plugins/sysml/org.eclipse.papyrus.sysml.service.types/META-INF/MANIFEST.MF
index 3663a89bd87..0becb5b1ece 100644
--- a/plugins/sysml/org.eclipse.papyrus.sysml.service.types/META-INF/MANIFEST.MF
+++ b/plugins/sysml/org.eclipse.papyrus.sysml.service.types/META-INF/MANIFEST.MF
@@ -7,7 +7,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0",
org.eclipse.papyrus.uml.standard;bundle-version="0.9.0",
org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
- org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.sysml.service.types,
org.eclipse.papyrus.sysml.service.types.element,
org.eclipse.papyrus.sysml.service.types.helper,
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/META-INF/MANIFEST.MF
index 74049f06414..6819abb5ba8 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/META-INF/MANIFEST.MF
@@ -5,7 +5,9 @@ Export-Package: org.eclipse.papyrus.uml.diagram.common.palette.customaction.prov
org.eclipse.papyrus.uml.diagram.common.palette.customaction.utils
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0"
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.gef;bundle-version="3.7.1",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/META-INF/MANIFEST.MF
index 4c0d32cd993..e83a2af09d8 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/META-INF/MANIFEST.MF
@@ -1,7 +1,9 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.papyrus.infra.core.adaptor.emf;bundle-version="0.9.0",
org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
- org.eclipse.uml2.uml.editor;bundle-version="3.0.0"
+ org.eclipse.uml2.uml.editor;bundle-version="3.0.0",
+ org.eclipse.core.runtime;bundle-version="3.8.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/META-INF/MANIFEST.MF
index 632e00a5a9c..36f8eeadb9c 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/META-INF/MANIFEST.MF
@@ -10,7 +10,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
org.eclipse.emf.ecore,
org.eclipse.gmf.runtime.notation,
- org.eclipse.emf.facet.infra.query.core
+ org.eclipse.emf.facet.infra.query.core,
+ org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.200"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/META-INF/MANIFEST.MF
index 6c1dc45c38a..5f012c7e844 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/META-INF/MANIFEST.MF
@@ -6,7 +6,11 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.gmf.runtime.diagram.ui.providers,
org.eclipse.gmf.runtime.diagram.ui.resources.editor,
org.eclipse.papyrus.uml.diagram.clazz;bundle-version="0.9.0",
- org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
+ org.eclipse.gef;bundle-version="3.7.1",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
+ org.eclipse.gmf.runtime.diagram.core;bundle-version="1.4.1",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/META-INF/MANIFEST.MF
index f06236f13d9..67bed680d2b 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/META-INF/MANIFEST.MF
@@ -2,7 +2,10 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.emf.edit.ui;bundle-version="2.4.0",
org.eclipse.emf.ecore.edit;bundle-version="2.4.0",
- org.eclipse.ui.intro;bundle-version="3.4.0"
+ org.eclipse.ui.intro;bundle-version="3.4.0",
+ org.eclipse.core.runtime;bundle-version="3.8.0",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0"
Export-Package: org.eclipse.papyrus.uml.diagram.wizards,
org.eclipse.papyrus.uml.diagram.wizards.category,
org.eclipse.papyrus.uml.diagram.wizards.kind,
diff --git a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF
index 8038aa7ac31..a1eafeb917f 100644
--- a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF
@@ -9,7 +9,11 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0"
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
+ org.eclipse.gmf.runtime.common.core;bundle-version="1.4.1",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0",
+ org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.200",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.uml.modelexplorer,
org.eclipse.papyrus.uml.modelexplorer.factory,
org.eclipse.papyrus.uml.modelexplorer.queries
diff --git a/plugins/uml/org.eclipse.papyrus.uml.commands/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.commands/META-INF/MANIFEST.MF
index 24d36b78050..f817189c83d 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.commands/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.commands/META-INF/MANIFEST.MF
@@ -8,7 +8,10 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.uml2.uml;bundle-version="3.2.0",
org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0",
org.eclipse.core.expressions,
- org.eclipse.papyrus.views.properties;bundle-version="0.9.0"
+ org.eclipse.papyrus.views.properties;bundle-version="0.9.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0",
+ org.eclipse.gmf.runtime.common.core;bundle-version="1.4.1",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/uml/org.eclipse.papyrus.uml.compare/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.compare/META-INF/MANIFEST.MF
index d5614203bc7..e282fa92bde 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.compare/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.compare/META-INF/MANIFEST.MF
@@ -15,7 +15,8 @@ Require-Bundle: org.eclipse.emf.compare;bundle-version="1.1.0",
org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.browser.custom.core;bundle-version="0.1.0",
- org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0"
+ org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0",
+ org.eclipse.core.runtime;bundle-version="3.8.0"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/META-INF/MANIFEST.MF
index a1db7366c3b..3a250abe2b4 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/META-INF/MANIFEST.MF
@@ -6,7 +6,9 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.uml2.uml.edit,
org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
- org.eclipse.papyrus.infra.services.resourceloading.preferences;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.resourceloading.preferences;bundle-version="0.9.0",
+ org.eclipse.emf.validation.ocl;bundle-version="1.4.0",
+ org.eclipse.emf.validation.ui;bundle-version="1.3.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/uml/org.eclipse.papyrus.uml.import/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.import/META-INF/MANIFEST.MF
index 19536d0acff..6e5768bd3a4 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.import/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.import/META-INF/MANIFEST.MF
@@ -6,7 +6,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.uml2.common.edit,
org.eclipse.papyrus.uml.extensionpoints;bundle-version="0.9.0",
org.eclipse.papyrus.uml.tools.utils;bundle-version="0.9.0",
- org.eclipse.papyrus.uml.profile;bundle-version="0.9.0"
+ org.eclipse.papyrus.uml.profile;bundle-version="0.9.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF
index e07ea82bd4e..319ee5fd200 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF
@@ -1,7 +1,8 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
- org.eclipse.papyrus.uml.standard;bundle-version="0.9.0"
+ org.eclipse.papyrus.uml.standard;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.uml.service.types,
org.eclipse.papyrus.uml.service.types.command,
org.eclipse.papyrus.uml.service.types.element,
diff --git a/plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbedproperties.comments/META-INF/MANIFEST.MF b/plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbedproperties.comments/META-INF/MANIFEST.MF
index d4c6dce9cf9..ef54e030d38 100644
--- a/plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbedproperties.comments/META-INF/MANIFEST.MF
+++ b/plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbedproperties.comments/META-INF/MANIFEST.MF
@@ -10,7 +10,9 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.epf.richtext;bundle-version="1.2.0",
org.eclipse.emf.edit.ui;bundle-version="2.5.0",
org.eclipse.papyrus.infra.core.log;bundle-version="0.9.0",
- org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0"
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.gef;bundle-version="3.7.1",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.uml.properties.tabbedproperties.comments,
org.eclipse.papyrus.uml.properties.tabbedproperties.comments.propertysection
Bundle-Vendor: %providerName
diff --git a/plugins/uml/properties/org.eclipse.papyrus.uml.properties/META-INF/MANIFEST.MF b/plugins/uml/properties/org.eclipse.papyrus.uml.properties/META-INF/MANIFEST.MF
index 83c256b7fa6..a66695d2347 100644
--- a/plugins/uml/properties/org.eclipse.papyrus.uml.properties/META-INF/MANIFEST.MF
+++ b/plugins/uml/properties/org.eclipse.papyrus.uml.properties/META-INF/MANIFEST.MF
@@ -14,7 +14,11 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.papyrus.uml.profile;bundle-version="0.9.0",
org.eclipse.papyrus.uml.modelexplorer.widgets;bundle-version="0.9.0",
org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
- org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0"
+ org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
+ org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.200",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
+ org.eclipse.gef;bundle-version="3.7.1",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.uml.properties.constraints,
org.eclipse.papyrus.uml.properties.creation,
org.eclipse.papyrus.uml.properties.databinding,
diff --git a/plugins/uml/table/org.eclipse.papyrus.uml.table.default/META-INF/MANIFEST.MF b/plugins/uml/table/org.eclipse.papyrus.uml.table.default/META-INF/MANIFEST.MF
index 1bca2d2e6fd..3d1385573a3 100644
--- a/plugins/uml/table/org.eclipse.papyrus.uml.table.default/META-INF/MANIFEST.MF
+++ b/plugins/uml/table/org.eclipse.papyrus.uml.table.default/META-INF/MANIFEST.MF
@@ -7,7 +7,8 @@ Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.papyrus.infra.table.common;bundle-version="0.9.0",
org.eclipse.papyrus.infra.table.instance;bundle-version="0.9.0",
org.eclipse.emf.facet.widgets.nattable;bundle-version="0.1.0",
- org.eclipse.emf.facet.widgets.nattable.tableconfiguration
+ org.eclipse.emf.facet.widgets.nattable.tableconfiguration,
+ org.eclipse.core.runtime;bundle-version="3.8.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/META-INF/MANIFEST.MF b/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/META-INF/MANIFEST.MF
index dea2b1adda9..ac47786f58a 100644
--- a/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/META-INF/MANIFEST.MF
+++ b/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/META-INF/MANIFEST.MF
@@ -2,7 +2,8 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.uml2.uml,
org.eclipse.jface;bundle-version="3.4.1",
org.eclipse.emf.transaction;bundle-version="1.2.1",
- org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0"
Export-Package: org.eclipse.papyrus.uml.tools.utils,
org.eclipse.papyrus.uml.tools.utils.ui,
org.eclipse.papyrus.uml.tools.utils.ui.command,
diff --git a/plugins/views/documentation/org.eclipse.papyrus.views.documentation.view.papyrus/META-INF/MANIFEST.MF b/plugins/views/documentation/org.eclipse.papyrus.views.documentation.view.papyrus/META-INF/MANIFEST.MF
index 6660b62d9b5..5ef73f72989 100644
--- a/plugins/views/documentation/org.eclipse.papyrus.views.documentation.view.papyrus/META-INF/MANIFEST.MF
+++ b/plugins/views/documentation/org.eclipse.papyrus.views.documentation.view.papyrus/META-INF/MANIFEST.MF
@@ -2,7 +2,8 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.papyrus.views.documentation.view;bundle-version="0.9.0",
org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0",
org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0"
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
diff --git a/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.resourceloading/META-INF/MANIFEST.MF b/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.resourceloading/META-INF/MANIFEST.MF
index ac8506849ac..754c85068c9 100644
--- a/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.resourceloading/META-INF/MANIFEST.MF
+++ b/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.resourceloading/META-INF/MANIFEST.MF
@@ -9,7 +9,8 @@ Require-Bundle: org.eclipse.emf.converter;bundle-version="2.5.0",
org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0",
org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0",
org.eclipse.papyrus.infra.services.controlmode.history;bundle-version="0.9.0",
- org.eclipse.papyrus.infra.services.resourceloading;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.resourceloading;bundle-version="0.9.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0"
Export-Package: org.eclipse.papyrus.views.modelexplorer.resourceloading.hand
ler
Bundle-Vendor: %providerName
diff --git a/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.widgets/META-INF/MANIFEST.MF b/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.widgets/META-INF/MANIFEST.MF
index b789a093590..42f59eb1ab4 100644
--- a/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.widgets/META-INF/MANIFEST.MF
+++ b/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.widgets/META-INF/MANIFEST.MF
@@ -6,7 +6,11 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.facet.infra.browser;bundle-version="0.1.0";visibility:=reexport,
org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0";visibility:=reexport,
org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
- org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0"
+ org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
+ org.eclipse.gmf.runtime.emf.core;bundle-version="1.4.1",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.views.modelexplorer.widgets
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
diff --git a/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer/META-INF/MANIFEST.MF b/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer/META-INF/MANIFEST.MF
index a116ad993b3..f9e75a08f66 100644
--- a/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer/META-INF/MANIFEST.MF
@@ -24,7 +24,13 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.facet.infra.query.ui;bundle-version="0.1.0",
org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
org.eclipse.papyrus.infra.services.decoration;bundle-version="0.9.0",
- org.eclipse.emf.facet.infra.query.core
+ org.eclipse.emf.transaction;bundle-version="1.4.0",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
+ org.eclipse.gmf.runtime.common.core;bundle-version="1.4.1",
+ org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.4.0",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0",
+ org.eclipse.emf.facet.infra.query.core,
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.views.modelexplorer,
org.eclipse.papyrus.views.modelexplorer.actionprovider,
org.eclipse.papyrus.views.modelexplorer.actions,
diff --git a/plugins/views/properties/org.eclipse.papyrus.views.properties.runtime/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.views.properties.runtime/META-INF/MANIFEST.MF
index 0340c12d895..d3e517bba1b 100644
--- a/plugins/views/properties/org.eclipse.papyrus.views.properties.runtime/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.views.properties.runtime/META-INF/MANIFEST.MF
@@ -27,7 +27,8 @@ Require-Bundle: org.eclipse.ui;bundle-version="3.5.1",
org.eclipse.emf.edit.ui;bundle-version="2.6.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
- org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.core/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.core/META-INF/MANIFEST.MF
index c5007a6aa86..b5471afea2a 100644
--- a/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.core/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.core/META-INF/MANIFEST.MF
@@ -8,7 +8,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.gmf.runtime.common.ui;bundle-version="1.3.0",
org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.core.log;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.views.properties.tabbed.core,
org.eclipse.papyrus.views.properties.tabbed.core.provider,
org.eclipse.papyrus.views.properties.tabbed.core.view,
diff --git a/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.customization/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.customization/META-INF/MANIFEST.MF
index 83a7cb6c9bf..b2ca362e9e5 100644
--- a/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.customization/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.customization/META-INF/MANIFEST.MF
@@ -17,7 +17,8 @@ Require-Bundle: org.eclipse.ui,
org.apache.xml.resolver;bundle-version="1.2.0",
org.eclipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.browser.custom.core;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0"
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.views.properties.tabbed.customization,
org.eclipse.papyrus.views.properties.tabbed.customization.dialog,
org.eclipse.papyrus.views.properties.tabbed.customization.dialog.actions,
diff --git a/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbedproperties.core/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbedproperties.core/META-INF/MANIFEST.MF
index 3600cf00220..9a75a9a211d 100644
--- a/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbedproperties.core/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbedproperties.core/META-INF/MANIFEST.MF
@@ -1,6 +1,7 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.emf.edit.ui;bundle-version="2.4.0",
- org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Export-Package: org.eclipse.papyrus.views.properties.tabbedproperties.core,
org.eclipse.papyrus.views.properties.tabbedproperties.core.providers
Bundle-Vendor: %providerName
diff --git a/plugins/views/properties/org.eclipse.papyrus.views.properties/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.views.properties/META-INF/MANIFEST.MF
index bf0206be1b2..d05d8f37a7e 100644
--- a/plugins/views/properties/org.eclipse.papyrus.views.properties/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.views.properties/META-INF/MANIFEST.MF
@@ -42,7 +42,8 @@ Require-Bundle: com.ibm.icu,
org.eclipse.emf.facet.infra.query;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
- org.eclipse.papyrus.views.modelexplorer.widgets;bundle-version="0.9.0"
+ org.eclipse.papyrus.views.modelexplorer.widgets;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.9.0.qualifier
Eclipse-BuddyPolicy: dependent
diff --git a/tests/junit/plugins/uml/org.eclipse.papyrus.diagram.clazz.test/META-INF/MANIFEST.MF b/tests/junit/plugins/uml/org.eclipse.papyrus.diagram.clazz.test/META-INF/MANIFEST.MF
index a382ba7e5f3..ddf3d59f4be 100644
--- a/tests/junit/plugins/uml/org.eclipse.papyrus.diagram.clazz.test/META-INF/MANIFEST.MF
+++ b/tests/junit/plugins/uml/org.eclipse.papyrus.diagram.clazz.test/META-INF/MANIFEST.MF
@@ -12,7 +12,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.editor;bundle-version="0.9.0",
org.eclipse.papyrus.uml.diagram.clazz;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0"
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0"
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-Vendor: %providerName
diff --git a/tests/junit/plugins/uml/org.eclipse.papyrus.thousandcreation/META-INF/MANIFEST.MF b/tests/junit/plugins/uml/org.eclipse.papyrus.thousandcreation/META-INF/MANIFEST.MF
index 162e9a96973..b3841fbcfd8 100644
--- a/tests/junit/plugins/uml/org.eclipse.papyrus.thousandcreation/META-INF/MANIFEST.MF
+++ b/tests/junit/plugins/uml/org.eclipse.papyrus.thousandcreation/META-INF/MANIFEST.MF
@@ -8,7 +8,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0"
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-Vendor: %providerName

Back to the top